clang 8.0.0

Classes | Namespaces | Typedefs
BasicValueFactory.cpp File Reference
`#include "clang/StaticAnalyzer/Core/PathSensitive/BasicValueFactory.h"`
`#include "clang/StaticAnalyzer/Core/PathSensitive/APSIntType.h"`
`#include "clang/StaticAnalyzer/Core/PathSensitive/SVals.h"`
`#include "clang/StaticAnalyzer/Core/PathSensitive/Store.h"`
`#include "clang/StaticAnalyzer/Core/PathSensitive/StoreRef.h"`
`#include "llvm/ADT/APSInt.h"`
`#include "llvm/ADT/FoldingSet.h"`
`#include "llvm/ADT/ImmutableList.h"`
`#include "llvm/ADT/STLExtras.h"`
`#include <cassert>`
`#include <cstdint>`
`#include <utility>`
Include dependency graph for BasicValueFactory.cpp:

Go to the source code of this file.

## Classes
struct | llvm::FoldingSetTrait< SValData >
struct | llvm::FoldingSetTrait< SValPair >

## Namespaces
| llvm
| DominatorTree GraphTraits specialization so the DominatorTree can be iterable by generic graph iterators.

## Typedefs
using | SValData = std::pair< SVal, uintptr_t >
using | SValPair = std::pair< SVal, SVal >
using | PersistentSValsTy = llvm::FoldingSet< llvm::FoldingSetNodeWrapper< SValData > >
using | PersistentSValPairsTy = llvm::FoldingSet< llvm::FoldingSetNodeWrapper< SValPair > >

## Typedef Documentation

## ◆ PersistentSValPairsTy

using PersistentSValPairsTy = llvm::FoldingSet<llvm::FoldingSetNodeWrapper<SValPair> >

Definition at line 77 of file BasicValueFactory.cpp.

## ◆ PersistentSValsTy

using PersistentSValsTy = llvm::FoldingSet<llvm::FoldingSetNodeWrapper<SValData> >

Definition at line 74 of file BasicValueFactory.cpp.

## ◆ SValData

using SValData = std::pair<SVal, uintptr_t>

Definition at line 52 of file BasicValueFactory.cpp.

## ◆ SValPair

using SValPair = std::pair<SVal, SVal>

Definition at line 53 of file BasicValueFactory.cpp.